# $Revision: 1.17 $, $Date: 2008/07/27 22:45:09 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires IMAP server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	xAP
Summary:	Net::xAP Perl module - interface to IMAP/ACAP/IMSP/ICAP protocol family
Summary(pl.UTF-8):	Moduł Perla Net::xAP - interfejs do rodziny protokołów IMAP/ACAP/IMSP/ICAP
Name:		perl-Net-xAP
Version:	0.02
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	df6ddaa8dad8d366784bf9a2a1f8eed1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Digest-MD5 >= 2.01
Requires:	perl-MIME-Base64 >= 2.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to the protocol family represented
by IMAP, IMSP, ACAP, and ICAP. A usable IMAP module is also provide.
Warning: this is an alpha release!

%description -l pl.UTF-8
Ten moduł udostępnia interfejs do rodziny protokołów reprezentowanej
przez IMAP, IMSP, ACAP i ICAP. Dołączony jest także używalny moduł
IMAP. Uwaga: to jest wersja alpha!

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE BUGS CREDITS NEWS README TODO
%{perl_vendorlib}/Net/*.pm
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-xAP.spec,v $
Revision 1.17  2008/07/27 22:45:09  arekm
- release 4

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:38  paladine
- formatting

Revision 1.13  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:23  ankry
- rel. 3

Revision 1.11  2004/05/06 18:20:48  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/27 07:12:37  ankry
- license fixes, cosmetics

Revision 1.9  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.8  2003/08/18 08:09:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:22:03  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:37:23  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/05 12:38:31  qboosh
- new

